Final Cut Pro X

i have an imac with high sierra. which version of final cut pro is compatible?

In May of 2011, I bought myself an imac and Final Cut Pro as a graduation present from grad school. No one, not even the store reps, alerted me to the fact that Final Cut Pro planned to launch a new and non-upgradable FCP platform in June, not a mont later.

So I could use it until I upgraded to High Sierra. Now that version is obsolete. What do I do? Which version do I buy?

Click to rate this post!
[Total: 0 Average: 0]

Related posts

fcpx menu not working after Catalina update Question marked as solved helpful ★ Latest reply  by  Li Mi Ni Latest update on the question 2 replies 6 views asked by  Li Mi Ni User profile for user: ddessert ddessert User level: Level 1 Unique Timecode Base for Timecode generator element (FCPX)

Alfonso

Cant adjust (particular) title position

Undershmidtther

HELP – new clips play audio with a black screen.

Coolio

Leave a Comment